%define upstream_name    Dist-Zilla-Plugin-ReadmeFromPod
%define upstream_version 0.39

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Automatically convert POD to a README for Dist::Zilla
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla) >= 6.0.0
BuildRequires: perl(Dist::Zilla::File::InMemory)
BuildRequires: perl(Dist::Zilla::Role::AfterBuild)
BuildRequires: perl(Dist::Zilla::Role::AfterRelease)
BuildRequires: perl(Dist::Zilla::Role::FilePruner)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IO::String)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(List::Util) >= 1.330.0
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Util::TypeConstraints)
BuildRequires: perl(Path::Tiny) >= 0.4.0
BuildRequires: perl(Pod::Readme)
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
generate the README from 'main_module' by the Pod::Text manpage

The code is mostly a copy-paste of the Module::Install::ReadmeFromPod
manpage

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sun Apr 27 2025 tv <tv> 0.390.0-1.mga10
+ Revision: 2179231
- update to 0.39

* Tue Aug 29 2023 tv <tv> 0.380.0-1.mga10
+ Revision: 1980957
- update to 0.38

* Mon Mar 21 2022 umeabot <umeabot> 0.370.0-3.mga9
+ Revision: 1811145
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 0.370.0-2.mga8
+ Revision: 1521406
- Mageia 8 Mass Rebuild

* Fri Dec 21 2018 tv <tv> 0.370.0-1.mga7
+ Revision: 1344114
- update to 0.37

* Tue Oct 30 2018 tv <tv> 0.360.0-1.mga7
+ Revision: 1326604
- update to 0.36

* Thu Sep 20 2018 umeabot <umeabot> 0.350.0-3.mga7
+ Revision: 1283281
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 0.350.0-2.mga7
+ Revision: 1164262
- rebuild with fixed rpm for missing autodeps

* Fri Sep 22 2017 sander85 <sander85> 0.350.0-1.mga7
+ Revision: 1157693
- update to 0.35

* Sun Jun 19 2016 pterjan <pterjan> 0.330.0-3.mga6
+ Revision: 1026562
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.330.0-2.mga6
+ Revision: 969999
- Mageia 6 Mass Rebuild

* Mon Sep 28 2015 sander85 <sander85> 0.330.0-1.mga6
+ Revision: 884548
- update to 0.33

* Mon Jun 29 2015 sander85 <sander85> 0.320.0-1.mga6
+ Revision: 848230
- update to 0.32

* Wed Oct 15 2014 umeabot <umeabot> 0.210.0-3.mga5
+ Revision: 741469
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Feb 07 2014 sander85 <sander85> 0.210.0-1.mga5
+ Revision: 585567
- update to 0.21

* Sat Oct 19 2013 umeabot <umeabot> 0.180.0-2.mga4
+ Revision: 526967
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.180.0-1.mga4
+ Revision: 439174
- update to 0.18

* Sun Jan 13 2013 umeabot <umeabot> 0.160.0-2.mga3
+ Revision: 366383
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Mar 05 2012 jquelin <jquelin> 0.160.0-1.mga2
+ Revision: 218733
- update to 0.16

* Wed Jan 26 2011 jquelin <jquelin> 0.140.0-1.mga1
+ Revision: 40561
- mageia rebuild
- imported package perl-Dist-Zilla-Plugin-ReadmeFromPod

